<?php

namespace Sargilla\Flatlab4\Middlewares;

use Closure;
use Artdarek\Toastr\Facades\Toastr;

class AdminMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (!\Auth::user()->hasPermissionTo('admin-usuarios'))
        {
            Toastr::error('No tiene permiso para entrar a esta sección!')->push();
            return back();
        }
        return $next($request);
    }
}
